Subject: bug#54657: 29.0.50; 100% CPU usage with eww on https://blogsurf.io/

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 Apr 2022 17:35:03 +0200

Eli Zaretskii <[email-masked]> writes:

> Type 'v' to see the page's source, and you will immediately understand
> why.  99% of that page is a huge JS script that is basically a single
> humongous line whose length is 12MB.

eww doesn't render <script> things, so it doesn't matter how long they
are for eww.  (It does matter for libxml-parse-html-region, but it
should be able to parse 12MB of <script> in a few milliseconds.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no